Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5284)
@@ -96,5 +96,5 @@
   USE phys_state_var_mod, ONLY: beta_aridity, delta_tsurf, awake_dens, cv_gen, &
        ratqs_inter_
-  !use ioipsl
+  USE alpale_mod
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
@@ -131,6 +131,5 @@
 
   INCLUDE "compbl.h"
-  INCLUDE "alpale.h"
-  
+
   deg2rad= pi/180.0
   iml=assert_eq(SIZE(masque,1),SIZE(phis,1),TRIM(modname)//" iml")
Index: LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90	(revision 5284)
@@ -15,4 +15,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   !
@@ -30,7 +31,4 @@
   !===================================================================
   !
-
-
-  INCLUDE "YOETHF.h"
   INCLUDE "FCTTRE.h"
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5284)
@@ -89,5 +89,6 @@
     ! defined and initialised mainly in phytracr_spl_mod.F90 (SPLA tracers, subroutine phytracr_spl_out_init)
 
-    USE dimphy, ONLY: klon, klev, klevp1
+USE alpale_mod
+        USE dimphy, ONLY: klon, klev, klevp1
     USE ocean_slab_mod, ONLY: nslay
     USE control_mod, ONLY: day_step, iphysiq
@@ -411,8 +412,5 @@
 
 !   INCLUDE "temps.h"
-    INCLUDE "alpale.h"
     INCLUDE "compbl.h"
-
-
 
     ! Input
Index: LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5284)
@@ -822,4 +822,6 @@
       USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+      USE alpale_mod
+      USE yoethf_mod_h
       IMPLICIT none
 !
@@ -838,6 +840,4 @@
       INCLUDE "chem.h"
       INCLUDE "chem_spla.h"
-      INCLUDE "YOETHF.h"
-      INCLUDE "alpale.h"
 
 !======================================================================
Index: LMDZ6/trunk/libf/phylmd/YOETHF.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/YOETHF.h	(revision 5283)
+++ 	(revision )
@@ -1,31 +1,0 @@
-!
-! $Id$
-!
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
-!                 veillez  n'utiliser que des ! pour les commentaires
-!                 et  bien positionner les & des lignes de continuation
-!                 (les placer en colonne 6 et en colonne 73)
-!
-!*    COMMON *YOETHF* DERIVED CONSTANTS SPECIFIC TO ECMWF THERMODYNAMICS
-!
-!     *R__ES*   *CONSTANTS USED FOR COMPUTATION OF SATURATION
-!                MIXING RATIO OVER LIQUID WATER(*R_LES*) OR
-!                ICE(*R_IES*).
-!     *RVTMP2*  *RVTMP2=RCPV/RCPD-1.
-!     *RHOH2O*  *DENSITY OF LIQUID WATER.   (RATM/100.)
-!
-      REAL R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES
-      REAL RVTMP2, RHOH2O
-      REAL R5ALVCP,R5ALSCP,RALVDCP,RALSDCP,RALFDCP,RTWAT,RTBER,RTBERCU
-      REAL RTICE,RTICECU,RTWAT_RTICE_R,RTWAT_RTICECU_R,RKOOP1,RKOOP2
-      LOGICAL OK_BAD_ECMWF_THERMO ! If TRUE, then variables set by rrtm/suphec.F90
-                                  ! If FALSE, then variables set by suphel.F90
-      COMMON /YOETHF/R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES,    &
-     &               RVTMP2, RHOH2O,                                    &
-     &               R5ALVCP,R5ALSCP,RALVDCP,RALSDCP,                   &
-     &               RALFDCP,RTWAT,RTBER,RTBERCU,                       &
-     &               RTICE,RTICECU,RTWAT_RTICE_R,RTWAT_RTICECU_R,RKOOP1,&
-     &               RKOOP2,                                            &
-     &               OK_BAD_ECMWF_THERMO
-
-!$OMP THREADPRIVATE(/YOETHF/)
Index: LMDZ6/trunk/libf/phylmd/alpale.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/alpale.f90	(revision 5283)
+++ 	(revision )
@@ -1,209 +1,0 @@
-SUBROUTINE alpale ( debut, itap, dtime, paprs, omega, t_seri,   &
-                    alp_offset, it_wape_prescr,  wape_prescr, fip_prescr, &
-                    ale_bl_prescr, alp_bl_prescr, &
-                    wake_pe, wake_fip,  &
-                    Ale_bl, Ale_bl_trig, Alp_bl, &
-                    Ale, Alp, Ale_wake, Alp_wake )
-
-! **************************************************************
-! *
-! ALPALE                                                       *
-! *
-! *
-! written by   : Jean-Yves Grandpeix, 12/05/2016              *
-! modified by :                                               *
-! **************************************************************
-
-  USE dimphy
-  USE ioipsl_getin_p_mod, ONLY : getin_p
-  USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level
-  USE phys_local_var_mod, ONLY: zw2       ! Variables internes non sauvegardees de la physique
-!
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
-IMPLICIT NONE
-
-!================================================================
-! Auteur(s)   : Jean-Yves Grandpeix, 12/05/2016
-! Objet : Sums up all contributions to Ale and Alp
-!================================================================
-
-! Input arguments
-!----------------
-  LOGICAL, INTENT(IN)                                        :: debut
-  INTEGER, INTENT(IN)                                        :: itap
-  REAL, INTENT(IN)                                           :: dtime
-  INTEGER, INTENT(IN)                                        :: it_wape_prescr
-  REAL, INTENT(IN)                                           :: wape_prescr, fip_prescr
-  REAL, INTENT(IN)                                           :: Ale_bl_prescr, Alp_bl_prescr
-  REAL, INTENT(IN)                                           :: alp_offset
-  REAL, DIMENSION(klon,klev+1), INTENT(IN)                   :: paprs
-  REAL, DIMENSION(klon,klev), INTENT(IN)                     :: t_seri
-  REAL, DIMENSION(klon,klev), INTENT(IN)                     :: omega
-  REAL, DIMENSION(klon), INTENT(IN)                          :: wake_pe, wake_fip
-  REAL, DIMENSION(klon), INTENT(IN)                          :: Ale_bl, Ale_bl_trig, Alp_bl
-
-
-! Output arguments
-!----------------
-  REAL, DIMENSION(klon), INTENT(OUT)                         :: Ale, Alp
-  REAL, DIMENSION(klon), INTENT(OUT)                         :: Ale_wake, Alp_wake
-
-  include "alpale.h"
-
-  include "YOETHF.h"
-
-! Local variables
-!----------------
-  INTEGER                                                    :: i, k
-  REAL, DIMENSION(klon)                                      :: www
-  REAL, SAVE                                                 :: ale_max=1000.
-  REAL, SAVE                                                 :: alp_max=2.
-  CHARACTER*20 modname
-  CHARACTER*80 abort_message
-
-
-    !$OMP THREADPRIVATE(ale_max,alp_max)
-
-       ! Calcul de l'energie disponible ALE (J/kg) et de la puissance
-       ! disponible ALP (W/m2) pour le soulevement des particules dans
-       ! le modele convectif
-       !
-       do i = 1,klon
-          ALE(i) = 0.
-          ALP(i) = 0.
-       enddo
-       !
-       !calcul de ale_wake et alp_wake
-       if (iflag_wake>=1) then
-          if (itap .le. it_wape_prescr) then
-             do i = 1,klon
-                ale_wake(i) = wape_prescr
-                alp_wake(i) = fip_prescr
-             enddo
-          else
-             do i = 1,klon
-                !jyg  ALE=WAPE au lieu de ALE = 1/2 Cstar**2
-                !cc           ale_wake(i) = 0.5*wake_cstar(i)**2
-                ale_wake(i) = wake_pe(i)
-                alp_wake(i) = wake_fip(i)
-             enddo
-          endif
-       else
-          do i = 1,klon
-             ale_wake(i) = 0.
-             alp_wake(i) = 0.
-          enddo
-       endif
-       !combinaison avec ale et alp de couche limite: constantes si pas
-       !de couplage, valeurs calculees dans le thermique sinon
-       if (iflag_coupl.eq.0) then
-          if (debut.and.prt_level.gt.9) &
-               WRITE(lunout,*)'ALE et ALP imposes'
-          do i = 1,klon
-             !on ne couple que ale
-             !           ALE(i) = max(ale_wake(i),Ale_bl(i))
-             ALE(i) = max(ale_wake(i),ale_bl_prescr)
-             !on ne couple que alp
-             !           ALP(i) = alp_wake(i) + Alp_bl(i)
-             ALP(i) = alp_wake(i) + alp_bl_prescr
-          enddo
-       else
-          IF(prt_level>9)WRITE(lunout,*)'ALE et ALP couples au thermique'
-          !         do i = 1,klon
-          !             ALE(i) = max(ale_wake(i),Ale_bl(i))
-          ! avant        ALP(i) = alp_wake(i) + Alp_bl(i)
-          !             ALP(i) = alp_wake(i) + Alp_bl(i) + alp_offset ! modif sb
-          !         write(20,*)'ALE',ALE(i),Ale_bl(i),ale_wake(i)
-          !         write(21,*)'ALP',ALP(i),Alp_bl(i),alp_wake(i)
-          !         enddo
-
-          ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-          ! Modif FH 2010/04/27. Sans doute temporaire.
-          ! Deux options pour le alp_offset : constant si >?? 0 ou
-          ! proportionnel ??a w si <0
-          ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-          ! Estimation d'une vitesse verticale effective pour ALP
-          if (1==0) THEN
-             www(1:klon)=0.
-             do k=2,klev-1
-                do i=1,klon
-                   www(i)=max(www(i),-omega(i,k)*RD*t_seri(i,k) &
-                        /(RG*paprs(i,k)) *zw2(i,k)*zw2(i,k))
-                   ! if (paprs(i,k)>pbase(i)) then
-                   ! calcul approche de la vitesse verticale en m/s
-                   !  www(i)=max(www(i),-omega(i,k)*RD*temp(i,k)/(RG*paprs(i,k))
-                   !             endif
-                   !   Le 0.1 est en gros H / ps = 1e4 / 1e5
-                enddo
-             enddo
-             do i=1,klon
-                if (www(i)>0. .and. ale_bl(i)>0. ) www(i)=www(i)/ale_bl(i)
-             enddo
-          ENDIF
-
-
-          do i = 1,klon
-             ALE(i) = max(ale_wake(i),Ale_bl(i))
-             !cc nrlmd le 10/04/2012----------Stochastic triggering------------
-             if (iflag_trig_bl.ge.1) then
-                ALE(i) = max(ale_wake(i),Ale_bl_trig(i))
-             endif
-             !cc fin nrlmd le 10/04/2012
-             if (alp_offset>=0.) then
-                ALP(i) = alp_wake(i) + Alp_bl(i) + alp_offset ! modif sb
-             else
-                abort_message ='Ne pas passer la car www non calcule'
-                CALL abort_physic (modname,abort_message,1)
-
-                ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-                !                                _                  _
-                ! Ajout d'une composante 3 * A * w w'2 a w'3 avec
-                ! w=www : w max sous pbase ou A est la fraction
-                ! couverte par les ascendances w' on utilise le fait
-                ! que A * w'3 = ALP et donc A * w'2 ~ ALP / sqrt(ALE)
-                ! (on ajoute 0.1 pour les singularites)
-                ALP(i)=alp_wake(i)*(1.+3.*www(i)/( sqrt(ale_wake(i))+0.1) ) &
-                     +alp_bl(i)  *(1.+3.*www(i)/( sqrt(ale_bl(i))  +0.1) )
-                !    ALP(i)=alp_wake(i)+Alp_bl(i)+alp_offset*min(omega(i,6),0.)
-                !             if (alp(i)<0.) then
-                !                print*,'ALP ',alp(i),alp_wake(i) &
-                !                     ,Alp_bl(i),alp_offset*min(omega(i,6),0.)
-                !             endif
-             endif
-          enddo
-          ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-       endif
-       do i=1,klon
-          if (alp(i)>alp_max) then
-             IF(prt_level>9)WRITE(lunout,*)                             &
-                  'WARNING SUPER ALP (seuil=',alp_max, &
-                  '): i, alp, alp_wake,ale',i,alp(i),alp_wake(i),ale(i)
-             alp(i)=alp_max
-          endif
-          if (ale(i)>ale_max) then
-             IF(prt_level>9)WRITE(lunout,*)                             &
-                  'WARNING SUPER ALE (seuil=',ale_max, &
-                  '): i, alp, alp_wake,ale',i,ale(i),ale_wake(i),alp(i)
-             ale(i)=ale_max
-          endif
-       enddo
-
-       !fin calcul ale et alp
-       !=======================================================================
-
-
-  RETURN
-  END
-
Index: LMDZ6/trunk/libf/phylmd/alpale.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/alpale.h	(revision 5283)
+++ 	(revision )
@@ -1,18 +1,0 @@
-!=====================================================================
-! Specifique de Ale/Alp :
-!=====================================================================
-! Mettre ca dans un alealp_th.sh en attendant mieux ...
-
-! dans alealp_th, thermcell_alp, physiq_mod, conf_phys
-      integer            :: iflag_trig_bl,iflag_clos_bl,iflag_strig
-      integer            :: tau_trig_shallow,tau_trig_deep
-      real               :: s_trig, h_trig
-! thermcell_alp et convection ...
-      integer            :: iflag_coupl,iflag_clos,iflag_wake
-! thermcell_alp
-      real               :: alp_bl_k
-
-      common/calpale1/iflag_trig_bl,iflag_clos_bl,tau_trig_shallow,tau_trig_deep,iflag_strig
-      common/calpale2/s_trig,iflag_coupl,iflag_clos,iflag_wake,alp_bl_k,h_trig
-
-!$OMP THREADPRIVATE(/calpale1/,/calpale2/)
Index: LMDZ6/trunk/libf/phylmd/alpale_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/alpale_mod.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/alpale_mod.f90	(revision 5284)
@@ -0,0 +1,218 @@
+! Contains the alpale subroutine, as well as the old content from alpale.h
+
+MODULE alpale_mod
+  IMPLICIT NONE; PRIVATE
+  PUBLIC alpale
+
+  !=====================================================================
+  ! Specifique de Ale/Alp :
+  !=====================================================================
+  PUBLIC iflag_trig_bl, iflag_clos_bl, tau_trig_shallow, tau_trig_deep, iflag_strig, &
+          alp_bl_k, s_trig, h_trig, iflag_coupl, iflag_clos, iflag_wake
+  ! dans alealp_th, thermcell_alp, physiq_mod, conf_phys
+  INTEGER :: iflag_trig_bl, iflag_clos_bl, iflag_strig
+  INTEGER :: tau_trig_shallow, tau_trig_deep
+  REAL :: s_trig, h_trig
+  ! thermcell_alp et convection ...
+  INTEGER :: iflag_coupl, iflag_clos, iflag_wake
+  ! thermcell_alp
+  REAL :: alp_bl_k
+  !$OMP THREADPRIVATE(iflag_trig_bl, iflag_clos_bl, tau_trig_shallow, tau_trig_deep, iflag_strig)
+  !$OMP THREADPRIVATE(alp_bl_k, s_trig, h_trig, iflag_coupl, iflag_clos, iflag_wake)
+
+CONTAINS
+
+  SUBROUTINE alpale(debut, itap, dtime, paprs, omega, t_seri, &
+          alp_offset, it_wape_prescr, wape_prescr, fip_prescr, &
+          ale_bl_prescr, alp_bl_prescr, &
+          wake_pe, wake_fip, &
+          Ale_bl, Ale_bl_trig, Alp_bl, &
+          Ale, Alp, Ale_wake, Alp_wake)
+
+    ! **************************************************************
+    ! *
+    ! ALPALE                                                       *
+    ! *
+    ! *
+    ! written by   : Jean-Yves Grandpeix, 12/05/2016              *
+    ! modified by :                                               *
+    ! **************************************************************
+
+    USE dimphy
+    USE ioipsl_getin_p_mod, ONLY: getin_p
+    USE print_control_mod, ONLY: mydebug => debug, lunout, prt_level
+    USE phys_local_var_mod, ONLY: zw2       ! Variables internes non sauvegardees de la physique
+    USE yoethf_mod_h
+    USE yomcst_mod_h
+
+    IMPLICIT NONE
+
+    !================================================================
+    ! Auteur(s)   : Jean-Yves Grandpeix, 12/05/2016
+    ! Objet : Sums up all contributions to Ale and Alp
+    !================================================================
+
+    ! Input arguments
+    !----------------
+    LOGICAL, INTENT(IN) :: debut
+    INTEGER, INTENT(IN) :: itap
+    REAL, INTENT(IN) :: dtime
+    INTEGER, INTENT(IN) :: it_wape_prescr
+    REAL, INTENT(IN) :: wape_prescr, fip_prescr
+    REAL, INTENT(IN) :: Ale_bl_prescr, Alp_bl_prescr
+    REAL, INTENT(IN) :: alp_offset
+    REAL, DIMENSION(klon, klev + 1), INTENT(IN) :: paprs
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: t_seri
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: omega
+    REAL, DIMENSION(klon), INTENT(IN) :: wake_pe, wake_fip
+    REAL, DIMENSION(klon), INTENT(IN) :: Ale_bl, Ale_bl_trig, Alp_bl
+
+
+    ! Output arguments
+    !----------------
+    REAL, DIMENSION(klon), INTENT(OUT) :: Ale, Alp
+    REAL, DIMENSION(klon), INTENT(OUT) :: Ale_wake, Alp_wake
+
+    ! Local variables
+    !----------------
+    INTEGER :: i, k
+    REAL, DIMENSION(klon) :: www
+    REAL, SAVE :: ale_max = 1000.
+    REAL, SAVE :: alp_max = 2.
+    CHARACTER*20 modname
+    CHARACTER*80 abort_message
+
+
+    !$OMP THREADPRIVATE(ale_max,alp_max)
+
+    ! Calcul de l'energie disponible ALE (J/kg) et de la puissance
+    ! disponible ALP (W/m2) pour le soulevement des particules dans
+    ! le modele convectif
+
+    DO i = 1, klon
+      ALE(i) = 0.
+      ALP(i) = 0.
+    enddo
+
+    !calcul de ale_wake et alp_wake
+    IF (iflag_wake>=1) THEN
+      IF (itap <= it_wape_prescr) THEN
+        DO i = 1, klon
+          ale_wake(i) = wape_prescr
+          alp_wake(i) = fip_prescr
+        enddo
+      else
+        DO i = 1, klon
+          !jyg  ALE=WAPE au lieu de ALE = 1/2 Cstar**2
+          !cc           ale_wake(i) = 0.5*wake_cstar(i)**2
+          ale_wake(i) = wake_pe(i)
+          alp_wake(i) = wake_fip(i)
+        enddo
+      endif
+    else
+      DO i = 1, klon
+        ale_wake(i) = 0.
+        alp_wake(i) = 0.
+      enddo
+    endif
+    !combinaison avec ale et alp de couche limite: constantes si pas
+    !de couplage, valeurs calculees dans le thermique sinon
+    IF (iflag_coupl==0) THEN
+      IF (debut.AND.prt_level>9) &
+              WRITE(lunout, *)'ALE et ALP imposes'
+      DO i = 1, klon
+        !on ne couple que ale
+        !           ALE(i) = max(ale_wake(i),Ale_bl(i))
+        ALE(i) = max(ale_wake(i), ale_bl_prescr)
+        !on ne couple que alp
+        !           ALP(i) = alp_wake(i) + Alp_bl(i)
+        ALP(i) = alp_wake(i) + alp_bl_prescr
+      enddo
+    else
+      IF(prt_level>9)WRITE(lunout, *)'ALE et ALP couples au thermique'
+      !         do i = 1,klon
+      !             ALE(i) = max(ale_wake(i),Ale_bl(i))
+      ! avant        ALP(i) = alp_wake(i) + Alp_bl(i)
+      !             ALP(i) = alp_wake(i) + Alp_bl(i) + alp_offset ! modif sb
+      !         WRITE(20,*)'ALE',ALE(i),Ale_bl(i),ale_wake(i)
+      !         WRITE(21,*)'ALP',ALP(i),Alp_bl(i),alp_wake(i)
+      !         enddo
+
+      ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ! Modif FH 2010/04/27. Sans doute temporaire.
+      ! Deux options pour le alp_offset : constant si >?? 0 ou
+      ! proportionnel ??a w si <0
+      ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ! Estimation d'une vitesse verticale effective pour ALP
+      IF (1==0) THEN
+        www(1:klon) = 0.
+        DO k = 2, klev - 1
+          DO i = 1, klon
+            www(i) = max(www(i), -omega(i, k) * RD * t_seri(i, k) &
+                    / (RG * paprs(i, k)) * zw2(i, k) * zw2(i, k))
+            ! if (paprs(i,k)>pbase(i)) THEN
+            ! calcul approche de la vitesse verticale en m/s
+            !  www(i)=max(www(i),-omega(i,k)*RD*temp(i,k)/(RG*paprs(i,k))
+            !             endif
+            !   Le 0.1 est en gros H / ps = 1e4 / 1e5
+          enddo
+        enddo
+        DO i = 1, klon
+          IF (www(i)>0. .AND. ale_bl(i)>0.) www(i) = www(i) / ale_bl(i)
+        enddo
+      ENDIF
+
+      DO i = 1, klon
+        ALE(i) = max(ale_wake(i), Ale_bl(i))
+        !cc nrlmd le 10/04/2012----------Stochastic triggering------------
+        IF (iflag_trig_bl>=1) THEN
+          ALE(i) = max(ale_wake(i), Ale_bl_trig(i))
+        endif
+        !cc fin nrlmd le 10/04/2012
+        IF (alp_offset>=0.) THEN
+          ALP(i) = alp_wake(i) + Alp_bl(i) + alp_offset ! modif sb
+        else
+          abort_message = 'Ne pas passer la car www non calcule'
+          CALL abort_physic (modname, abort_message, 1)
+
+          ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+          !                                _                  _
+          ! Ajout d'une composante 3 * A * w w'2 a w'3 avec
+          ! w=www : w max sous pbase ou A est la fraction
+          ! couverte par les ascendances w' on utilise le fait
+          ! que A * w'3 = ALP et donc A * w'2 ~ ALP / sqrt(ALE)
+          ! (on ajoute 0.1 pour les singularites)
+          ALP(i) = alp_wake(i) * (1. + 3. * www(i) / (sqrt(ale_wake(i)) + 0.1)) &
+                  + alp_bl(i) * (1. + 3. * www(i) / (sqrt(ale_bl(i)) + 0.1))
+          !    ALP(i)=alp_wake(i)+Alp_bl(i)+alp_offset*min(omega(i,6),0.)
+          !             if (alp(i)<0.) THEN
+          !                PRINT*,'ALP ',alp(i),alp_wake(i) &
+          !                     ,Alp_bl(i),alp_offset*min(omega(i,6),0.)
+          !             endif
+        endif
+      enddo
+      ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+    endif
+    DO i = 1, klon
+      IF (alp(i)>alp_max) THEN
+        IF(prt_level>9)WRITE(lunout, *)                             &
+                'WARNING SUPER ALP (seuil=', alp_max, &
+                '): i, alp, alp_wake,ale', i, alp(i), alp_wake(i), ale(i)
+        alp(i) = alp_max
+      endif
+      IF (ale(i)>ale_max) THEN
+        IF(prt_level>9)WRITE(lunout, *)                             &
+                'WARNING SUPER ALE (seuil=', ale_max, &
+                '): i, alp, alp_wake,ale', i, ale(i), ale_wake(i), alp(i)
+        ale(i) = ale_max
+      endif
+    enddo
+
+    !fin calcul ale et alp
+    !=======================================================================
+
+    RETURN
+  END
+
+END MODULE alpale_mod
Index: LMDZ6/trunk/libf/phylmd/alpale_th.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/alpale_th.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/alpale_th.f90	(revision 5284)
@@ -20,5 +20,5 @@
   USE ioipsl_getin_p_mod, ONLY : getin_p
   USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level
-!
+  USE alpale_mod
   IMPLICIT NONE
 
@@ -46,6 +46,4 @@
 
   REAL, DIMENSION(klon), INTENT(OUT)                         :: birth_rate
-
-  include "alpale.h"
 
 ! Local variables
Index: LMDZ6/trunk/libf/phylmd/borne_var_surf.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/borne_var_surf.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/borne_var_surf.f90	(revision 5284)
@@ -19,4 +19,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+USE yoethf_mod_h
 IMPLICIT NONE
 
@@ -41,5 +42,4 @@
 REAL                               :: zx_qs1, zcor1, zdelta1
 
-include "YOETHF.h"
 include "FCTTRE.h"
 !==================================================================
Index: LMDZ6/trunk/libf/phylmd/calcul_fluxs_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/calcul_fluxs_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/calcul_fluxs_mod.f90	(revision 5284)
@@ -32,4 +32,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+    USE yoethf_mod_h
 
 
@@ -72,5 +73,4 @@
 !   lat_prec_sol                                  precipitations solides
 
-    INCLUDE "YOETHF.h"
     INCLUDE "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/cdrag_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cdrag_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/cdrag_mod.f90	(revision 5284)
@@ -42,5 +42,5 @@
           , RALPD, RBETD, RGAMD
   USE clesphys_mod_h
-
+  USE yoethf_mod_h
   IMPLICIT NONE
 ! ================================================================= c
@@ -127,6 +127,4 @@
 ! Variables Locales
 !******************************************************************
-  INCLUDE "YOETHF.h"
-
 
   REAL, PARAMETER       :: CKAP=0.40, CKAPT=0.42
Index: LMDZ6/trunk/libf/phylmd/clcdrag.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/clcdrag.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/clcdrag.f90	(revision 5284)
@@ -23,4 +23,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
 ! ================================================================= c
@@ -54,7 +55,5 @@
 ! ================================================================= c
 !
-
-  INCLUDE "YOETHF.h"
-!
+  !
 ! Quelques constantes et options:
 !!$PB      REAL, PARAMETER :: ckap=0.35, cb=5.0, cc=5.0, cd=5.0, cepdu2=(0.1)**2
Index: LMDZ6/trunk/libf/phylmd/coef_diff_turb_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/coef_diff_turb_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/coef_diff_turb_mod.f90	(revision 5284)
@@ -32,4 +32,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+    USE yoethf_mod_h
 !
 ! Calculate coefficients(ycoefm, ycoefh) for turbulent diffusion in the
@@ -74,5 +75,4 @@
 !****************************************************************************************
     INCLUDE "compbl.h"
-    INCLUDE "YOETHF.h"
 
     ykmm = 0 !ym missing init
@@ -230,7 +230,8 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
-USE dimphy
+    USE dimphy
     USE indice_sol_mod
     USE print_control_mod, ONLY: prt_level, lunout
+    USE yoethf_mod_h
 
 !======================================================================
@@ -253,6 +254,4 @@
 ! pcfh-----output-R- coefficients a calculer (chaleur et humidite)
 !======================================================================
-    INCLUDE "YOETHF.h"
-
     INCLUDE "FCTTRE.h"
     INCLUDE "compbl.h"
Index: LMDZ6/trunk/libf/phylmd/coefcdrag.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/coefcdrag.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/coefcdrag.f90	(revision 5284)
@@ -22,4 +22,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+      USE yoethf_mod_h
 IMPLICIT none
 !-------------------------------------------------------------------------
@@ -64,5 +65,4 @@
 !
 
-      include "YOETHF.h"
 ! Quelques constantes :
       REAL, parameter :: RKAR=0.40, CB=5.0, CC=5.0, CD=5.0, cepdu2=(0.1)**2
Index: LMDZ6/trunk/libf/phylmd/conccm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conccm.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/conccm.f90	(revision 5284)
@@ -18,4 +18,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ======================================================================
@@ -24,6 +25,4 @@
   ! (schema standard du modele NCAR CCM2)
   ! ======================================================================
-
-  include "YOETHF.h"
 
   ! Entree:
@@ -162,4 +161,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
   IMPLICIT NONE
   ! -----------------------------------------------------------------------
@@ -314,5 +314,4 @@
 
   REAL qhalf, sh1, sh2, shbs1, shbs2
-  include "YOETHF.h"
   include "FCTTRE.h"
   qhalf(sh1, sh2, shbs1, shbs2) = min(max(sh1,sh2), &
Index: LMDZ6/trunk/libf/phylmd/concvl.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/concvl.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/concvl.f90	(revision 5284)
@@ -48,4 +48,5 @@
           , RALPD, RBETD, RGAMD
   USE conema3_mod_h
+  USE yoethf_mod_h
   IMPLICIT NONE
 ! ======================================================================
@@ -237,5 +238,4 @@
 !$OMP THREADPRIVATE(itap, igout)
   include "YOMCST2.h"
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/conema3.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conema3.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/conema3.f90	(revision 5284)
@@ -22,4 +22,5 @@
           , RALPD, RBETD, RGAMD
   USE conema3_mod_h
+  USE yoethf_mod_h
   IMPLICIT NONE
   ! ======================================================================
@@ -187,5 +188,4 @@
   ! cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/conemav.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conemav.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/conemav.f90	(revision 5284)
@@ -21,4 +21,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
   IMPLICIT NONE
   ! ======================================================================
@@ -86,5 +87,4 @@
   DATA ifrst/0/
   !$OMP THREADPRIVATE(ifrst)
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/conf_phys_m.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conf_phys_m.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/conf_phys_m.f90	(revision 5284)
@@ -24,5 +24,6 @@
        alp_offset)
 
-USE conema3_mod_h
+USE alpale_mod
+    USE conema3_mod_h
         USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -54,5 +55,4 @@
 
     INCLUDE "YOMCST2.h"
-    INCLUDE "alpale.h"
 
     !IM : on inclut/initialise les taux de CH4, N2O, CFC11 et CFC12
Index: LMDZ6/trunk/libf/phylmd/conflx.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conflx.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/conflx.f90	(revision 5284)
@@ -19,4 +19,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ======================================================================
@@ -29,5 +30,4 @@
   ! ======================================================================
 
-  include "YOETHF.h"
   ! Entree:
   REAL dtime ! pas d'integration (s)
@@ -217,5 +217,6 @@
                                                               ! ldcum, ktype,
     pmfu, pmfd, pen_u, pde_u, pen_d, pde_d, dt_con, dq_con, pmflxr, pmflxs)
-  USE dimphy
+USE yoethf_mod_h
+    USE dimphy
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -233,5 +234,4 @@
   ! ------------------------------------------------------------------
 
-  include "YOETHF.h"
   include "YOECUMF.h"
   ! ----------------------------------------------------------------
@@ -515,4 +515,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ----------------------------------------------------------------------
@@ -521,6 +522,4 @@
   ! AND INITIALIZES VALUES FOR UPDRAFTS
   ! ----------------------------------------------------------------------
-
-  include "YOETHF.h"
 
   REAL pten(klon, klev) ! temperature (environnement)
@@ -649,4 +648,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ----------------------------------------------------------------------
@@ -661,7 +661,4 @@
   ! (NON ENTRAINING PLUME,I.E.CONSTANT MASSFLUX)
   ! ----------------------------------------------------------------------
-
-  include "YOETHF.h"
-  ! ----------------------------------------------------------------
   REAL ptenh(klon, klev), pqenh(klon, klev)
   REAL pgeoh(klon, klev), paph(klon, klev+1)
@@ -730,5 +727,6 @@
     pmfub, pentr, pmfus, pmfuq, pmful, plude, pdmfup, kcbot, kctop, kctop0, &
     kcum, pen_u, pde_u)
-  USE dimphy
+USE yoethf_mod_h
+    USE dimphy
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -749,5 +747,4 @@
   ! ----------------------------------------------------------------------
 
-  include "YOETHF.h"
   include "YOECUMF.h"
 
@@ -1041,5 +1038,6 @@
     pmfds, pmfuq, pmfdq, pmful, plude, pdmfup, pdmfdp, pten, prfl, psfl, &
     pdpmel, ktopm2, pmflxr, pmflxs)
-  USE dimphy
+USE yoethf_mod_h
+    USE dimphy
   USE print_control_mod, ONLY: prt_level
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
@@ -1061,5 +1059,4 @@
   ! ----------------------------------------------------------------------
 
-  include "YOETHF.h"
   include "YOECUMF.h"
 
@@ -1297,5 +1294,6 @@
 SUBROUTINE flxdtdq(pdtime, ktopm2, paph, ldcum, pten, pmfus, pmfds, pmfuq, &
     pmfdq, pmful, pdmfup, pdmfdp, pdpmel, dt_con, dq_con)
-  USE dimphy
+USE yoethf_mod_h
+    USE dimphy
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -1315,5 +1313,4 @@
   ! ----------------------------------------------------------------------
 
-  include "YOETHF.h"
   include "YOECUMF.h"
   ! -----------------------------------------------------------------
@@ -1371,5 +1368,6 @@
 SUBROUTINE flxdlfs(ptenh, pqenh, pgeoh, paph, ptu, pqu, ldcum, kcbot, kctop, &
     pmfub, prfl, ptd, pqd, pmfd, pmfds, pmfdq, pdmfdp, kdtop, lddraf)
-  USE dimphy
+USE yoethf_mod_h
+    USE dimphy
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -1402,5 +1400,4 @@
   ! ----------------------------------------------------------------------
 
-  include "YOETHF.h"
   include "YOECUMF.h"
 
@@ -1503,4 +1500,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
 
@@ -1521,5 +1519,4 @@
   ! ----------------------------------------------------------------------
 
-  include "YOETHF.h"
   include "YOECUMF.h"
 
@@ -1628,4 +1625,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
   IMPLICIT NONE
   ! ======================================================================
@@ -1645,5 +1643,4 @@
   REAL zdelta, zcvm5, zldcp, zqsat, zcor
   INTEGER is, i
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/conlmd.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/conlmd.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/conlmd.f90	(revision 5284)
@@ -17,4 +17,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ======================================================================
@@ -23,6 +24,4 @@
   ! Ajustement humide (Manabe) + Ajustement convectif (Kuo)
   ! ======================================================================
-
-  include "YOETHF.h"
 
   ! Arguments:
@@ -115,4 +114,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
   IMPLICIT NONE
   ! ======================================================================
@@ -185,5 +185,4 @@
   ! Fonctions thermodynamiques:
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
@@ -332,4 +331,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ======================================================================
@@ -414,5 +414,4 @@
   ! Fonctions thermodynamiques:
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
@@ -1092,4 +1091,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ======================================================================
@@ -1175,5 +1175,4 @@
   ! Fonctions thermodynamiques
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
@@ -1612,4 +1611,5 @@
           , RALPD, RBETD, RGAMD
   USE dimphy
+  USE yoethf_mod_h
   IMPLICIT NONE
   ! ======================================================================
@@ -1628,5 +1628,4 @@
   ! kcbot---output-I- Niveau du bas de la convection
   ! ======================================================================
-  include "YOETHF.h"
 
   REAL pt(klon, klev), pq(klon, klev), pg(klon, klev), pp(klon, klev)
@@ -1723,4 +1722,5 @@
           , RALPD, RBETD, RGAMD
   USE dimphy
+  USE yoethf_mod_h
   IMPLICIT NONE
   ! ======================================================================
@@ -1752,5 +1752,4 @@
   REAL zdelta, zcvm5, zldcp, zqsat, zcor, zdqsat
   INTEGER is, i
-  include "YOETHF.h"
   include "FCTTRE.h"
 
@@ -1841,4 +1840,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
 
@@ -1893,5 +1893,4 @@
   REAL zdelta, zcor, zcvm5
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
@@ -2138,4 +2137,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
 
@@ -2180,5 +2180,4 @@
   REAL zdelta, zcor, zcvm5
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/create_etat0_unstruct_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/create_etat0_unstruct_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/create_etat0_unstruct_mod.f90	(revision 5284)
@@ -94,4 +94,5 @@
   USE dimsoil_mod_h, ONLY: nsoilmx
   USE clesphys_mod_h
+  USE alpale_mod
   IMPLICIT NONE
 
@@ -113,6 +114,5 @@
 
     INCLUDE "compbl.h"
-    INCLUDE "alpale.h"
-   
+
     INTEGER :: ji,j,i
  
Index: LMDZ6/trunk/libf/phylmd/cv3_enthalpmix.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cv3_enthalpmix.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/cv3_enthalpmix.f90	(revision 5284)
@@ -25,4 +25,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ==============================================================
@@ -35,6 +36,4 @@
 
   ! ===============================================================
-
-  include "YOETHF.h"
 
   include "FCTTRE.h"
Index: LMDZ6/trunk/libf/phylmd/cv3_estatmix.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cv3_estatmix.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/cv3_estatmix.f90	(revision 5284)
@@ -26,4 +26,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ==============================================================
@@ -36,6 +37,4 @@
 
   ! ===============================================================
-
-  include "YOETHF.h"
 
   include "FCTTRE.h"
Index: LMDZ6/trunk/libf/phylmd/diagphy.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/diagphy.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/diagphy.f90	(revision 5284)
@@ -47,5 +47,6 @@
   ! ======================================================================
 
-  USE dimphy
+USE yoethf_mod_h
+    USE dimphy
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -63,5 +64,4 @@
 
 
-  include "YOETHF.h"
 
   ! Input variables
@@ -216,5 +216,6 @@
   ! ======================================================================
 
-  USE dimphy
+USE yoethf_mod_h
+    USE dimphy
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -232,5 +233,4 @@
 
 
-  include "YOETHF.h"
 
   ! Input variables
Index: LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1DUTILS.h	(revision 5284)
@@ -1543,4 +1543,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 implicit none
 
@@ -1562,6 +1563,4 @@
 ! Declaration des constantes et des fonctions thermodynamiques
 !
-
-include "YOETHF.h"
 !
 !  ----------------------------------------
@@ -1638,4 +1637,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 implicit none
 
@@ -1669,5 +1669,4 @@
 !
 
-include "YOETHF.h"
 !
 !  ----------------------------------------
Index: LMDZ6/trunk/libf/phylmd/ener_conserv.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/ener_conserv.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/ener_conserv.f90	(revision 5284)
@@ -20,4 +20,5 @@
 
 ! From module
+USE yoethf_mod_h
 USE clesphys_mod_h
 USE phys_local_var_mod, ONLY : d_u_vdf,d_v_vdf,d_t_vdf,d_u_ajs,d_v_ajs,d_t_ajs, &
@@ -46,5 +47,4 @@
 IMPLICIT none
 
-INCLUDE "YOETHF.h"
 INCLUDE "compbl.h"
 
Index: LMDZ6/trunk/libf/phylmd/evappot.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/evappot.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/evappot.f90	(revision 5284)
@@ -2,4 +2,5 @@
        &    t_seri,q_seri,u_seri,v_seri,evap_pot)
 
+USE yoethf_mod_h
 USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -17,5 +18,4 @@
 
 
-INCLUDE "YOETHF.h"
 INCLUDE "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/fisrtilp_tr.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/fisrtilp_tr.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/fisrtilp_tr.f90	(revision 5284)
@@ -23,4 +23,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ======================================================================
@@ -134,5 +135,4 @@
   REAL fallv ! vitesse de chute pour crystaux de glace
   REAL zzz
-  include "YOETHF.h"
   include "FCTTRE.h"
   fallv(zzz) = 3.29/2.0*((zzz)**0.16)
Index: LMDZ6/trunk/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/fonte_neige_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/fonte_neige_mod.F90	(revision 5284)
@@ -246,5 +246,6 @@
 #endif
 #endif
-    USE clesphys_mod_h
+USE yoethf_mod_h
+      USE clesphys_mod_h
   USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -278,5 +279,4 @@
 !   evap
 !
-  INCLUDE "YOETHF.h"
   INCLUDE "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/hbtm2l.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/hbtm2l.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/hbtm2l.f90	(revision 5284)
@@ -17,4 +17,5 @@
           , RALPD, RBETD, RGAMD
   USE dimphy
+  USE yoethf_mod_h
   IMPLICIT NONE
 
@@ -141,5 +142,4 @@
   REAL missing_val
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/hbtm_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/hbtm_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/hbtm_mod.f90	(revision 5284)
@@ -21,4 +21,5 @@
        trmb1, trmb2, trmb3, plcl)
     USE dimphy
+    USE yoethf_mod_h
 
     ! ***************************************************************
@@ -164,8 +165,5 @@
     REAL fac, pblmin, zmzp, term
 
-    include "YOETHF.h"
     include "FCTTRE.h"
-
-
 
     ! initialisations (Anne)
Index: LMDZ6/trunk/libf/phylmd/inlandsis/sisvat_ts2.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5284)
@@ -58,5 +58,6 @@
   ! |________________________________________________________________________|
 
-  USE VAR_SV
+USE yoethf_mod_h
+    USE VAR_SV
   USE VARdSV
 
@@ -87,5 +88,4 @@
 
 
-  INCLUDE "YOETHF.h"
   INCLUDE "FCTTRE.h"
    ! INCLUDE "indicesol.h"
Index: LMDZ6/trunk/libf/phylmd/lmdz_cloudth.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/lmdz_cloudth.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/lmdz_cloudth.f90	(revision 5284)
@@ -27,4 +27,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+      USE yoethf_mod_h
 IMPLICIT NONE
 
@@ -36,7 +37,4 @@
 !===========================================================================
 
-
-
-      INCLUDE "YOETHF.h"
       INCLUDE "FCTTRE.h"
 
@@ -277,5 +275,6 @@
 
 
-      use lmdz_cloudth_ini, only: iflag_cloudth_vert, vert_alpha
+USE yoethf_mod_h
+            use lmdz_cloudth_ini, only: iflag_cloudth_vert, vert_alpha
 
       USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
@@ -294,5 +293,4 @@
 
 
-      INCLUDE "YOETHF.h"
       INCLUDE "FCTTRE.h"
       
@@ -624,4 +622,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+      USE yoethf_mod_h
 IMPLICIT NONE
 
@@ -632,8 +631,4 @@
 ! Objet : calcule les valeurs de qc et rneb dans les thermiques
 !===========================================================================
-
-
-
-      INCLUDE "YOETHF.h"
       INCLUDE "FCTTRE.h"
 
@@ -855,5 +850,6 @@
 !===========================================================================
 
-      use lmdz_cloudth_ini, only : iflag_cloudth_vert,iflag_ratqs
+USE yoethf_mod_h
+            use lmdz_cloudth_ini, only : iflag_cloudth_vert,iflag_ratqs
       use lmdz_cloudth_ini, only : vert_alpha,vert_alpha_th, sigma1s_factor, sigma1s_power , sigma2s_factor , sigma2s_power , cloudth_ratqsmin , iflag_cloudth_vert_noratqs
 
@@ -875,5 +871,4 @@
 
 
-      INCLUDE "YOETHF.h"
       INCLUDE "FCTTRE.h"
       
@@ -1296,5 +1291,6 @@
      &           cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-      use lmdz_cloudth_ini, only: iflag_cloudth_vert
+USE yoethf_mod_h
+            use lmdz_cloudth_ini, only: iflag_cloudth_vert
 
       USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
@@ -1314,5 +1310,4 @@
 
 
-      INCLUDE "YOETHF.h"
       INCLUDE "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/lmdz_lscp_old.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/lmdz_lscp_old.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/lmdz_lscp_old.f90	(revision 5284)
@@ -38,5 +38,5 @@
   USE lmdz_lscp_ini, ONLY: cld_tau_lsc, cld_tau_con, cld_lc_lsc, cld_lc_con
   USE lmdz_lscp_ini, ONLY: reevap_ice, iflag_bergeron, iflag_fisrtilp_qsat, iflag_pdf
-
+  USE yoethf_mod_h
 
 
@@ -67,5 +67,4 @@
   !   fl_cor_ebil= 0 pour reproduire anciens bugs
   !======================================================================
-  include "YOETHF.h"
   include "FCTTRE.h"
   !
Index: LMDZ6/trunk/libf/phylmd/lmdz_lscp_tools.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/lmdz_lscp_tools.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/lmdz_lscp_tools.f90	(revision 5284)
@@ -519,5 +519,6 @@
 
 
-    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -534,5 +535,4 @@
 
 
-    include "YOETHF.h"
     include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/lmdz_ratqs_multi.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/lmdz_ratqs_multi.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/lmdz_ratqs_multi.f90	(revision 5284)
@@ -14,9 +14,9 @@
 !=============================================
 
-IMPLICIT NONE
+USE yoethf_mod_h
+    IMPLICIT NONE
 
 ! Include
 !=============================================
-    INCLUDE "YOETHF.h"
 
 
Index: LMDZ6/trunk/libf/phylmd/lmdz_thermcell_alp.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/lmdz_thermcell_alp.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/lmdz_thermcell_alp.f90	(revision 5284)
@@ -19,5 +19,7 @@
      &)
 
-      USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+      USE alpale_mod
+            USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -49,7 +51,5 @@
 !   -------------
 
-      INCLUDE "YOETHF.h"
       INCLUDE "FCTTRE.h"
-      INCLUDE "alpale.h"
 
 !   arguments:
Index: LMDZ6/trunk/libf/phylmd/lmdz_thermcell_old.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/lmdz_thermcell_old.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/lmdz_thermcell_old.F90	(revision 5284)
@@ -730,5 +730,6 @@
     , r_aspect, l_mix, w2di, tho)
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -769,5 +770,4 @@
   ! -------------
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
@@ -2342,5 +2342,6 @@
     , r_aspect, l_mix, w2di, tho)
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -2381,5 +2382,4 @@
   ! -------------
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/lmdz_thermcell_qsat.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/lmdz_thermcell_qsat.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/lmdz_thermcell_qsat.f90	(revision 5284)
@@ -3,5 +3,6 @@
 
 subroutine thermcell_qsat(klon,active,pplev,ztemp,zqta,zqsat)
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "YOETHF.h"
   INCLUDE "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/nonlocal.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/nonlocal.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/nonlocal.f90	(revision 5284)
@@ -18,4 +18,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
   ! ======================================================================
@@ -119,5 +120,4 @@
   REAL fac, pblmin, zmzp, term
 
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/nuage.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/nuage.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/nuage.f90	(revision 5284)
@@ -377,4 +377,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
 IMPLICIT NONE
 
@@ -410,5 +411,4 @@
 
   ! Fonctions thermodynamiques:
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 5284)
@@ -407,5 +407,6 @@
 #endif
 #endif
-    USE clesphys_mod_h
+USE yoethf_mod_h
+        USE clesphys_mod_h
     USE ioipsl_getin_p_mod, ONLY : getin_p
     use phys_state_var_mod, only: ds_ns, dt_ns, delta_sst, delta_sal, dter, &
@@ -431,5 +432,4 @@
 IMPLICIT NONE
 
-    INCLUDE "YOETHF.h"
     INCLUDE "FCTTRE.h"
     INCLUDE "compbl.h"
Index: LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/phyetat0_mod.f90	(revision 5284)
@@ -59,4 +59,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE alpale_mod
 IMPLICIT none
   !======================================================================
@@ -64,5 +65,4 @@
   ! Objet: Lecture de l'etat initial pour la physique
   !======================================================================
-  include "alpale.h"
   include "compbl.h"
 
Index: LMDZ6/trunk/libf/phylmd/phyredem.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phyredem.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/phyredem.f90	(revision 5284)
@@ -9,5 +9,6 @@
 ! Purpose: Write restart state for physics.
 !-------------------------------------------------------------------------------
-  USE clesphys_mod_h
+USE alpale_mod
+    USE clesphys_mod_h
   USE dimphy, ONLY: klon, klev
   USE fonte_neige_mod,  ONLY : fonte_neige_final
@@ -46,5 +47,4 @@
   USE dimsoil_mod_h, ONLY: nsoilmx
   IMPLICIT none
-  include "alpale.h"
   include "compbl.h"
   !======================================================================
Index: LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 5284)
@@ -470,5 +470,6 @@
     USE YOESW, ONLY : RSUN
 #endif
-    USE clesphys_mod_h
+USE alpale_mod
+        USE clesphys_mod_h
     USE tracinca_mod, ONLY: config_inca
     USE config_ocean_skin_m, ONLY: activate_ocean_skin
@@ -491,5 +492,4 @@
 IMPLICIT NONE
 
-    INCLUDE "alpale.h"
     INCLUDE "compbl.h"
 
Index: LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 5284)
@@ -372,4 +372,6 @@
        USE clesphys_mod_h
        USE conema3_mod_h
+       USE alpale_mod
+       USE yoethf_mod_h
 
     IMPLICIT NONE
@@ -425,5 +427,4 @@
 
     include "regdim.h"
-    include "alpale.h"
     include "dimpft.h"
     !======================================================================
@@ -1183,5 +1184,4 @@
                  ! the ozone fields, old method.
 
-    include "YOETHF.h"
     include "FCTTRE.h"
     include "nuage.h"
Index: LMDZ6/trunk/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 5284)
@@ -99,4 +99,5 @@
           , RALPD, RBETD, RGAMD
     USE clesphys_mod_h
+    USE yoethf_mod_h
 
     !======================================================================
@@ -203,5 +204,4 @@
     ! DECLARATIONS
     ! ==============
-    include "YOETHF.h"
 
     ! Input arguments
Index: LMDZ6/trunk/libf/phylmd/reevap.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/reevap.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/reevap.f90	(revision 5284)
@@ -17,4 +17,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+    USE yoethf_mod_h
 IMPLICIT none
     !>======================================================================
@@ -30,5 +31,4 @@
     !---Propri\'et\'es du thermiques au LCL
 
-    include "YOETHF.h"
     include "FCTTRE.h"
     !IM 100106 BEG : pouvoir sortir les ctes de la physique
Index: LMDZ6/trunk/libf/phylmd/stdlevvar_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/stdlevvar_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/stdlevvar_mod.f90	(revision 5284)
@@ -32,4 +32,5 @@
                            ts1, qsurf, z0m, z0h, psol, pat1, &
                            t_2m, q_2m, t_10m, q_10m, u_10m, ustar, s_pblh, prain, tsol)
+        USE yoethf_mod_h
       IMPLICIT NONE
 !-------------------------------------------------------------------------
@@ -84,6 +85,4 @@
 !-------------------------------------------------------------------------
       include "flux_arp.h"
-!IM PLUS
-      include "YOETHF.h"
 !
 ! Quelques constantes et options:
@@ -343,4 +342,5 @@
           , RALPD, RBETD, RGAMD
       USE ioipsl_getin_p_mod, ONLY : getin_p
+      USE yoethf_mod_h
       IMPLICIT NONE
 !-------------------------------------------------------------------------
@@ -404,6 +404,4 @@
 !-------------------------------------------------------------------------
       include "flux_arp.h"
-!IM PLUS
-      include "YOETHF.h"
 !
 ! Quelques constantes et options:
Index: LMDZ6/trunk/libf/phylmd/suphel.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/suphel.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/suphel.f90	(revision 5284)
@@ -4,5 +4,6 @@
 SUBROUTINE suphel
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -19,5 +20,4 @@
 
 
-  include "YOETHF.h"
   ! IM cf. JLD
   LOGICAL firstcall
Index: LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90	(revision 5284)
@@ -32,5 +32,6 @@
 !
 
-    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -51,5 +52,4 @@
 
     INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 !
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
@@ -180,5 +180,6 @@
 !
 
-    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -198,5 +199,4 @@
 
     INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 !
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
@@ -759,5 +759,6 @@
 !
 
-    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -777,5 +778,4 @@
 
     INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 !
     INTEGER,                      INTENT(IN)        :: knon         ! number of grid cells
@@ -1015,5 +1015,6 @@
 !
 
-    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE yoethf_mod_h
+        USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -1033,5 +1034,4 @@
 
     INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 !
     INTEGER,                      INTENT(IN)        :: knon         ! number of grid cells
Index: LMDZ6/trunk/libf/phylmd/wx_pbl_var_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/wx_pbl_var_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmd/wx_pbl_var_mod.f90	(revision 5284)
@@ -315,5 +315,6 @@
                                  )
 !
-    USE clesphys_mod_h
+USE yoethf_mod_h
+        USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -333,5 +334,4 @@
 
     INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 !
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
Index: LMDZ6/trunk/libf/phylmd/yoethf_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/yoethf_mod_h.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/yoethf_mod_h.f90	(revision 5284)
@@ -0,0 +1,26 @@
+! Replaces yoethf.h
+
+MODULE yoethf_mod_h
+  !*    COMMON *YOETHF* DERIVED CONSTANTS SPECIFIC TO ECMWF THERMODYNAMICS
+
+  !     *R__ES*   *CONSTANTS USED FOR COMPUTATION OF SATURATION
+  !                MIXING RATIO OVER LIQUID WATER(*R_LES*) OR
+  !                ICE(*R_IES*).
+  !     *RVTMP2*  *RVTMP2=RCPV/RCPD-1.
+  !     *RHOH2O*  *DENSITY OF LIQUID WATER.   (RATM/100.)
+  IMPLICIT NONE; PRIVATE
+  PUBLIC R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES, RVTMP2, RHOH2O, R5ALVCP, &
+          R5ALSCP, RALVDCP, RALSDCP, RALFDCP, RTWAT, RTBER, RTBERCU, RTICE, RTICECU, &
+          RTWAT_RTICE_R, RTWAT_RTICECU_R, RKOOP1, RKOOP2, OK_BAD_ECMWF_THERMO
+
+  REAL R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES
+  REAL RVTMP2, RHOH2O
+  REAL R5ALVCP, R5ALSCP, RALVDCP, RALSDCP, RALFDCP, RTWAT, RTBER, RTBERCU
+  REAL RTICE, RTICECU, RTWAT_RTICE_R, RTWAT_RTICECU_R, RKOOP1, RKOOP2
+  LOGICAL OK_BAD_ECMWF_THERMO ! If TRUE, then variables set by rrtm/suphec.F90
+  ! If FALSE, then variables set by suphel.F90
+
+  !$OMP THREADPRIVATE(R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES, RVTMP2, RHOH2O, R5ALVCP, &
+  !$OMP      R5ALSCP, RALVDCP, RALSDCP, RALFDCP, RTWAT, RTBER, RTBERCU, RTICE, RTICECU,&
+  !$OMP      RTWAT_RTICE_R, RTWAT_RTICECU_R, RKOOP1, RKOOP2, OK_BAD_ECMWF_THERMO)
+END MODULE yoethf_mod_h
Index: LMDZ6/trunk/libf/phylmdiso/YOETHF.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/YOETHF.h	(revision 5283)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/YOETHF.h
Index: LMDZ6/trunk/libf/phylmdiso/alpale.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/alpale.f90	(revision 5283)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/alpale.f90
Index: LMDZ6/trunk/libf/phylmdiso/alpale.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/alpale.h	(revision 5283)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/alpale.h
Index: LMDZ6/trunk/libf/phylmdiso/alpale_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/alpale_mod.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmdiso/alpale_mod.f90	(revision 5284)
@@ -0,0 +1,1 @@
+link ../phylmd/alpale_mod.f90
Index: LMDZ6/trunk/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/concvl.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/concvl.F90	(revision 5284)
@@ -77,4 +77,5 @@
           , RALPD, RBETD, RGAMD
   USE conema3_mod_h
+  USE yoethf_mod_h
   IMPLICIT NONE
 ! ======================================================================
@@ -309,5 +310,4 @@
 !$OMP THREADPRIVATE(itap, igout)
   include "YOMCST2.h"
-  include "YOETHF.h"
   include "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5284)
@@ -32,4 +32,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+USE yoethf_mod_h
 IMPLICIT NONE
   ! ==============================================================
@@ -42,6 +43,4 @@
 
   ! ===============================================================
-
-  include "YOETHF.h"
 
   include "FCTTRE.h"
Index: LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/cv3_estatmix.F90	(revision 5284)
@@ -33,4 +33,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+USE yoethf_mod_h
 IMPLICIT NONE
   ! ==============================================================
@@ -43,6 +44,4 @@
 
   ! ===============================================================
-
-  include "YOETHF.h"
 
   include "FCTTRE.h"
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5284)
@@ -12981,4 +12981,5 @@
     USE isotrac_mod, ONLY: izone_cont,index_zone,index_iso
 #endif
+USE yoethf_mod_h
         USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -13000,5 +13001,4 @@
         ! commun aux dfférentes sous-surfaces.
 
-INCLUDE "YOETHF.h"
 INCLUDE "FCTTRE.h"
 !
@@ -13565,4 +13565,5 @@
 &       bassin_map
 #endif
+USE yoethf_mod_h
         USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -13579,5 +13580,4 @@
 implicit none
 
-INCLUDE "YOETHF.h"
 INCLUDE "FCTTRE.h"
 
@@ -14492,4 +14492,5 @@
 #endif
 
+USE yoethf_mod_h
         USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -14509,5 +14510,4 @@
 implicit none
 
-INCLUDE "YOETHF.h"
 INCLUDE "FCTTRE.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5284)
@@ -80,4 +80,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE yoethf_mod_h
   IMPLICIT none
   !======================================================================
@@ -324,5 +325,4 @@
   REAL zzz
 
-  include "YOETHF.h"
   include "FCTTRE.h"
   fallvc (zzz) = 3.29/2.0 * ((zzz)**0.16) * ffallv_con
Index: LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5284)
@@ -74,4 +74,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE alpale_mod
 IMPLICIT none
   !======================================================================
@@ -79,5 +80,4 @@
   ! Objet: Lecture de l'etat initial pour la physique
   !======================================================================
-  include "alpale.h"
   include "compbl.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5284)
@@ -46,5 +46,6 @@
 #endif
 #endif
-  USE clesphys_mod_h
+USE alpale_mod
+    USE clesphys_mod_h
   USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send, carbon_cycle_rad, RCO2_glo
   USE indice_sol_mod, ONLY: nbsrf, is_oce, is_sic, is_ter, is_lic, epsfra
@@ -56,5 +57,4 @@
 
   IMPLICIT none
-  include "alpale.h"
   include "compbl.h"
   !======================================================================
@@ -512,4 +512,5 @@
     use isotrac_mod, only: index_zone,index_iso,strtrac
 #endif
+USE alpale_mod
       USE clesphys_mod_h
 USE dimsoil_mod_h, ONLY: nsoilmx
@@ -517,5 +518,4 @@
 
         ! equivalent isotopique de phyredem
-INCLUDE "alpale.h"
 INCLUDE "compbl.h"
       ! inputs
Index: LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5284)
@@ -445,4 +445,6 @@
        USE clesphys_mod_h
        USE conema3_mod_h
+       USE alpale_mod
+    USE yoethf_mod_h
 
     IMPLICIT NONE
@@ -498,5 +500,4 @@
 
     include "regdim.h"
-    include "alpale.h"
     include "dimpft.h"
     !======================================================================
@@ -1293,5 +1294,4 @@
                  ! the ozone fields, old method.
 
-    include "YOETHF.h"
     include "FCTTRE.h"
     !IM 100106 BEG : pouvoir sortir les ctes de la physique
Index: LMDZ6/trunk/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/reevap.F90	(revision 5283)
+++ LMDZ6/trunk/libf/phylmdiso/reevap.F90	(revision 5284)
@@ -27,4 +27,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+    USE yoethf_mod_h
 IMPLICIT none
     !>======================================================================
@@ -43,5 +44,4 @@
     !---Propri\'et\'es du thermiques au LCL
 
-    include "YOETHF.h"
     include "FCTTRE.h"
     !IM 100106 BEG : pouvoir sortir les ctes de la physique
Index: LMDZ6/trunk/libf/phylmdiso/yoethf_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/yoethf_mod_h.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmdiso/yoethf_mod_h.f90	(revision 5284)
@@ -0,0 +1,1 @@
+link ../phylmd/yoethf_mod_h.f90
